Bug 226435 - Merge Review: startup-notification
Summary: Merge Review: startup-notification
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:01 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 14:12:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:01:53 UTC
Fedora Merge Review: startup-notification

http://cvs.fedora.redhat.com/viewcvs/devel/startup-notification/
Initial Owner: rstrode@redhat.com

Comment 1 Parag AN(पराग) 2007-08-31 11:11:29 UTC
rpmlint reported
W: startup-notification invalid-license LGPL
The value of the License tag was not recognized.  Known values are:
"Affero GPL", "AFL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL 1.1+", "ASL 2.0",
"ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0", "Artistic clarified",
"BitTorrent", "Boost", "BSD", "BSD with advertising", "CeCILL", "CDDL", "CPL",
"Condor", "Copyright only", "Cryptix", "Crystal Stacker", "EPL", "eCos", "EFL
2.0", "EFL 2.0+", "EU Datagrid", "Giftware", "Glide", "GPL+", "GPL+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv3", "GPLv3+",
"IBM", "IJG", "iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff",
"LPL", "LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OSL
1.0", "OSL 1.0+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+", "OpenSSL",
"Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL", "W3C",
"WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+", "ZPLv2.0",
"ZPLv2.0+", "zlib", "CDL", "FBSDDL", "GFDL", "Open Publication", "CC-BY", "CC-
BY-SA", "DSL", "Free Art", "Arphic", "Bitstream Vera", "mplus", "OFL",
"Utopia", "Redistributable, no modification permitted", "Freely
redistributable without restriction".

W: startup-notification macro-in-%changelog makeinstall
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.


update SPEC in cvs for further review.

Comment 2 Parag AN(पराग) 2007-09-28 03:35:52 UTC
ping?
Can you update SPEC for further review?

Comment 3 Ray Strode [halfline] 2007-09-28 14:37:47 UTC
should be good good on those two fronts now.

Feel free to commit any reasonable spec cleanups you want to that package.  
It's not under any sort of ACL.

Comment 4 Parag AN(पराग) 2007-10-03 06:04:11 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
624b42f1fac5a12c543a079e2cd3b366  startup-notification-0.9.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ libstartup-notification-1.0.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package startup-notification-0.9-3.fc8 ->
  Provides: libstartup-notification-1.so.0
  Requires: libICE.so.6 libSM.so.6 libX11.so.6 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4)
libstartup-notification-1.so.0 rtld(GNU_HASH)
+ package startup-notification-devel-0.9-3.fc8 ->
  Requires: libX11-devel libstartup-notification-1.so.0 pkgconfig
startup-notification = 0.9-3.fc8
+ Not a GUI app.



Comment 5 Parag AN(पराग) 2007-10-03 06:08:55 UTC
APPROVED. Kindly build package and CLOSE this review.


Note You need to log in before you can comment on or make changes to this bug.